Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance

'------------------------ Fogyás mátrix -----------------------------------------------------------------------------------------------
Public Enum eCirculationType
    eAccaount = 0 'Kiszámlázott tételek
    eMoving = 1 'Mozgási tételek
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class StorageOutCirculation 'Fogyási mátrix 
    Inherits BaseObject
    Private _CirculationType As eCirculationType
    Private _Storage As Storage 'Raktár
    Private _Products As Products 'Termék
    Private _YearExecution As Long 'Év
    Private _Month01 As Double 'Januárban
    Private _Month02 As Double 'Februárban
    Private _Month03 As Double 'Márciusban
    Private _Month04 As Double 'Áprilisban
    Private _Month05 As Double 'Májusban 
    Private _Month06 As Double 'Júniusban
    Private _Month07 As Double 'Júliusban
    Private _Month08 As Double 'Augusztusban
    Private _Month09 As Double 'Szeptemberben
    Private _Month10 As Double 'Októberben
    Private _Month11 As Double 'Novemberben
    Private _Month12 As Double 'Decemberben
    Private _Total As Double 'Év összesen

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Property CirculationType As eCirculationType
        Get
            Return _CirculationType
        End Get
        Set(value As eCirculationType)
            SetPropertyValue("CirculationType", _CirculationType, value)
        End Set
    End Property
    Property Storage As Storage
        Get
            Return _Storage
        End Get
        Set(ByVal value As Storage)
            SetPropertyValue("Storage", _Storage, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(ByVal value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property YearExecution As Long
        Get
            Return _YearExecution
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("YearExecution", _YearExecution, value)
        End Set
    End Property
    Property Month01 As Double
        Get
            Return _Month01
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month01", _Month01, value)
        End Set
    End Property
    Property Month02 As Double
        Get
            Return _Month02
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month02", _Month02, value)
        End Set
    End Property
    Property Month03 As Double
        Get
            Return _Month03
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month03", _Month03, value)
        End Set
    End Property
    Property Month04 As Double
        Get
            Return _Month04
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month04", _Month04, value)
        End Set
    End Property
    Property Month05 As Double
        Get
            Return _Month01
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month05", _Month05, value)
        End Set
    End Property
    Property Month06 As Double
        Get
            Return _Month06
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month06", _Month06, value)
        End Set
    End Property
    Property Month07 As Double
        Get
            Return _Month07
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month07", _Month07, value)
        End Set
    End Property
    Property Month08 As Double
        Get
            Return _Month08
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month08", _Month08, value)
        End Set
    End Property
    Property Month09 As Double
        Get
            Return _Month09
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month09", _Month09, value)
        End Set
    End Property
    Property Month10 As Double
        Get
            Return _Month10
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month10", _Month10, value)
        End Set
    End Property
    Property Month11 As Double
        Get
            Return _Month11
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month11", _Month11, value)
        End Set
    End Property
    Property Month12 As Double
        Get
            Return _Month12
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Month12", _Month12, value)
        End Set
    End Property
    Property Total As Double
        Get
            Return _Total
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Total", _Total, value)
        End Set
    End Property
End Class
